Instalação do módulo myconference

  • Identifique-se para criar novos tópicos neste fórum
  • Visitantes anônimos não podem postar neste fórum
omarvix  Iniciante   Postagens: 0
Estava instalando o módulo myconference.1.0. e surgiu aquele problema de compatibilidade com o XOOPS 2.5.5. Troquei "TYPE=MyISAM" por "Engine=MyISAM" nos arquivos "sql/mysql.sql" do módulo. Não foi suficiente na instalação apareceu essa mensagem: Não foi possível instalar myconference. Erro(s): Instalando Conferences

Invalid default value for 'sdate'O que devo fazer para resolver esse problema?

O módulo está disponível no endereço https://docs.google.com/folder/d/0B-wlXZ25DqvYV1ZlRllEaklUSWs/edit já com a mudança no arquivo mysql.sql.
omarvix  Iniciante   Postagens: 0
Alguém pode dar uma força para consertar esse erro que está acontecendo na instalação. Ou alguém sabe se esse módulo foi atualizado ou se existe outro que o substitua?

Ele está disponível no endereço: https://docs.google.com/folder/d/0B-wlXZ25DqvYV1ZlRllEaklUSWs/edit?pli=1#docId=0B-wlXZ25DqvYZ1dqVXBPei1sSTA
Andrax  Ocasional   Postagens: 27
Tente editar o arquivo mysql.sql nas linhas 73 e 74 onde aparece default '0', por serem um campo do tipo data ele não aceita o valor '0', então altere o:
 sdate DATE NOT NULL DEFAULT '0', edate DATE NOT NULL DEFAULT '0', 
para:
 sdate DATE NOT NULL DEFAULT '0000-00-00 00:00:00', edate DATE NOT NULL DEFAULT '0000-00-00 00:00:00', 


Isso deve resolver o problema da instalação.
Andrax  Ocasional   Postagens: 27
Omar, pelo que pude observar aqui, esse módulo é muito antigo e seu código vai precisar de muitos ajustes, para rodar numa versão recente do PHP... vou ver o que posso fazer aqui para atualizar ele e depois disponibilizo.
omarvix  Iniciante   Postagens: 0
Obrigado, deu certo, fiz a modificação e consegui instalar. mas surgiram algum erros. Fiz conversão da linguagem para o pt-br, no formato utf8, mas ele está apresentando apenas a linguagem em Inglês.

Tentei gravar uma conferência, mas o sistema não registra nada.

Se alguém puder dar uma força, fico muito agradecido.

Coloquei lá no Google drive o arquivo com a modificação. Esse é o endereço: https://docs.google.com/folder/d/0B-wlXZ25DqvYV1ZlRllEaklUSWs/edit
Andrax  Ocasional   Postagens: 27
Como disse, o módulo por ser antigo precisa de uma série de ajustes para funcionar corretamente... comecei o trabalho, mas não tenho uma previsão de quando estará pronto (muitas atividade em paralelo )
Edison Pinho  Iniciante   Postagens: 9
não consegui.

O erro ocorre na criação do Banco de Dados pelo módulo, o arquivo mysql.sql está correto, pois eu criei direto no phpMyAdmin e a inclusão funcionou corretamente sem erros, porem o módulo somente funciona se o BD for criado pelo módulo mesmo, então acredito que o erro está nos programas do módulo que cria o BD, coisa que não sei com resolver.

Vamos ver se alguém consegue resolver este problema.

  Pesquisa avançada






Entrada

Codinome:


Senha:





Perdeu a senha?  |Cadastre-se!


Quem nos visita
Há 18 visitantes neste momento... (9 na seção Fóruns)

Associados: 0
Anônimos: 18

outros...

Banner XOOPS Cube